← Tables

Ireland

Ulster Championship 3

#TeamPWDLPDPtsForm
1Virginia RFC3300–15WWW
2Grosvenor RFC3300–15WWW
3Monaghan RFC3201–10LWW
4P.S.N.I RFC3201–10WLW
5Donaghadee RFC3201–9WLW
6B.H.S FP RFC3102–6LWL
7Newry RFC3102–5WLL
8Ulster University RFC3102–4LWL
9Cavan RFC3003–1LLL
10Civil Service RFC3003–0LLL

Source: Ulster Rugby · checked Oct 14, 05:50 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.